# Glowstone Code of Conduct

## Purpose

One of the Glowstone Project's top priorities is to foster an open and
welcoming environment. As such, it is our responsibility as contributors
and maintainers to ensure our project is inclusive and harassment-free
for everyone — regardless of their characteristics. This includes (but is not limited
to) age, body size, disability, ethnicity, gender identity and expression,
level of experience, nationality, personal appearance, race, religion,
or sexual identity and orientation.

We believe that diversity is a huge strength and in order to encourge
everyone who participates in the Glowstone Project to help create a welcoming
and productive atmosphere, we have outlined our expectations for this community,
consequences for unacceptable behavior, and where you can go for help.

Please keep in mind that this is not and does not intend to be an exhaustive
list of all the things that you can't do. Rather, take it for what it was
made to be: suggestions and guidelines for our community to continue being
excellent to each other while enriching all of us through your unique experiences
and ideas.

## Our Standards

We expect all participants in our community to:

* **Use welcoming and inclusive language.** We expect all members of our
  community to conduct themselves professionally — be kind to others, don't
  insult or put down other participants, and so on. Harassment and other 
  exclusionary behavior is not acceptable.
* **Be respectful of differing viewpoints and experiences.** We are all
  humans with unique experiences and ideas and as such we're bound to
  disagree at some point. However, disagreement is not an excuse for bad
  behavior and poor manners. We understand that sometimes you may get
  frustrated, but it's important never to turn that into a personal attack.
  An environment where people feel uncomfortable or threatened isn't just
  bad, but it's also unproductive. Be respectful of others not just within
  our community, but when representing us to other people outside of our
  community.
* **Gracefully accept constructive criticism.** Criticism and disagreements — 
  both social and technical — happen all the time, but it is important
  that we solve these conflicts constructively. Each of us is different and
  we come from a wide range of backgrounds. Consequentially, we all have
  different perspectives on issues. Even if you don't understand why someone
  has a certain viewpoint on an issue, refrain from blaming and instead focus
  on resolving problems and learning from mistakes.
* **Focus on what is best for the community.** With a project like Glowstone,
  your work and contributions will affect many other people and you should
  take the consequences of your actions, good or bad, into account when making
  decisions.
* **Show empathy towards other community members.** We strive to be a friendly
  community that understands and supports people of all backgrounds and identities.
  Try to understand someone's situation and fully realize they're a human — 
  just like you — and can make mistakes.

Following these guidelines will contribute to creating a positive environment
in our community.

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or
  advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment (generally, if someone asks you to stop, then stop)
* Publishing others' private information — such as a physical or electronic
  address — without explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

## Our Responsibilities

Project maintainers are responsible for clarifying the standards of
acceptable behavior and are expected to take appropriate and fair corrective
action in response to any instances of unacceptable behavior, generally
following the guidelines for enforcement of this code of conduct.

Project maintainers have the right and responsibility to remove, edit,
or reject comments, commits, code, wiki edits, issues, and other
contributions that are not aligned to this Code of Conduct, or to warn
or to ban temporarily or permanently any contributor for other behaviors
that they deem inappropriate, threatening, offensive, or harmful.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting mastercoms at `mastercoms@tutanota.de`.
All complaints will be reviewed and investigated and will result in a response
that is deemed necessary and appropriate to the circumstances. The project team
is obligated to maintain confidentiality with regard to the reporter of
an incident. If you have a report about `mastercoms`, please contact `gdude2002`.

Project maintainers who do not follow or enforce the Code of Conduct in
good faith may face temporary or permanent repercussions as determined by
other members of the project's leadership.

Generally, if the project team encounters or is shown activity that violates
this Code of Conduct, we may warn the user up to a maximum of 3 times and
minimum of 1 time, depending on the severity of the infraction. Warning
may be done publicly in the communication channel where the violation occurred,
or may be done privately if the warning involves private and/or sensitive
information. The offending content may be removed or edited based on the
discretion of the project team. Once a certain person has been warned
enough times, they will be temporarily banned from our community and if
offenses continue after the temporary ban, the person will be permanently
banned. The project team reserves the right to change this process on a
case by case basis, especially if the violation is particularly egregious.

## Scope

This Code of Conduct applies both within project spaces and in public spaces
when an individual is representing the project or its community. Examples
of representing a project or community include using an official project
e-mail address, posting via an official social media account, or acting
as an appointed representative at an online or offline event. For example,
this includes (but is not limited to) all of our project's GitHub pages,
our website, forums, IRC channel, testing server and Discord.

## Attribution

The following documents and projects have aided the creation of this code of conduct.

* [Contributor Covenant 1.4](http://contributor-covenant.org/version/1/4)
* [Django Project CoC](https://www.djangoproject.com/conduct/)
* [JQuery Project CoC](https://jquery.org/conduct/)
* [khmer Project CoC](http://khmer.readthedocs.io/en/v1.2/dev/CODE_OF_CONDUCT.html)
* [Citizen Code of Conduct](http://citizencodeofconduct.org/)
* [ADA Initiative: "HOWTO design a code of conduct for your community"](https://adainitiative.org/2014/02/18/howto-design-a-code-of-conduct-for-your-community/)
* [The Orbit: "So You've Got Yourself a Policy. Now What?"](https://the-orbit.net/almostdiamonds/2014/04/10/so-youve-got-yourself-a-policy-now-what/)
* [Open Source Guides: "Your Code of Conduct"](https://opensource.guide/code-of-conduct/)
